﻿using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Localization;
using WF_WebAdmin.Model;


namespace WF_WebAdmin.Pages
{
    public partial class Accueil
    {
        private Quote[] Dailyquote;

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        [Inject]
        public IStringLocalizer<Accueil> Localizer { get; set; }
        protected override async Task OnInitializedAsync()
        {
            Dailyquote = await Http.GetFromJsonAsync<Quote[]>($"{NavigationManager.BaseUri}fake-dataDailyQuote.json");
        
        }
    }
}
